package cz.aprar.bonitoo.inference;

import java.time.ZonedDateTime;

public class FlightData {
    private final String type;
    private final String inboundDeparture;
    private final String inboundArrival;
    private final String inboundOrigin;
    private final String inboundDestination;
    private final String inboundAirlines;
    private final String inboundMCXAirlines;
    private final String outboundDeparture;
    private final String outboundArrival;
    private final String outboundOrigin;
    private final String outboundDestination;
    private final String outboundAirlines;
    private final String outboundMCXAirlines;
    private final double inputPrice;
    private final int nights;
    private final ZonedDateTime outDepartureDate;

    public FlightData(final String type, final String inboundDeparture, final String inboundArrival,
                      final String inboundOrigin, final String inboundDestination, final String inboundAirlines,
                      final String inboundMCXAirlines, final String outboundDeparture, final String outboundArrival,
                      final String outboundOrigin, final String outboundDestination, final String outboundAirlines,
                      final String outboundMCXAirlines, final double inputPrice, final int nights,
                      final ZonedDateTime outDepartureDate) {
        this.type = type;
        this.inboundDeparture = inboundDeparture;
        this.inboundArrival = inboundArrival;
        this.inboundOrigin = inboundOrigin;
        this.inboundDestination = inboundDestination;
        this.inboundAirlines = inboundAirlines;
        this.inboundMCXAirlines = inboundMCXAirlines;
        this.outboundDeparture = outboundDeparture;
        this.outboundArrival = outboundArrival;
        this.outboundOrigin = outboundOrigin;
        this.outboundDestination = outboundDestination;
        this.outboundAirlines = outboundAirlines;
        this.outboundMCXAirlines = outboundMCXAirlines;
        this.inputPrice = inputPrice;
        this.nights = nights;
        this.outDepartureDate = outDepartureDate;
    }

    public String getType() {
        return type;
    }

    public String getInboundDeparture() {
        return inboundDeparture;
    }

    public String getInboundArrival() {
        return inboundArrival;
    }

    public String getInboundOrigin() {
        return inboundOrigin;
    }

    public String getInboundDestination() {
        return inboundDestination;
    }

    public String getInboundAirlines() {
        return inboundAirlines;
    }

    public String getInboundMCXAirlines() {
        return inboundMCXAirlines;
    }

    public String getOutboundDeparture() {
        return outboundDeparture;
    }

    public String getOutboundArrival() {
        return outboundArrival;
    }

    public String getOutboundOrigin() {
        return outboundOrigin;
    }

    public String getOutboundDestination() {
        return outboundDestination;
    }

    public String getOutboundAirlines() {
        return outboundAirlines;
    }

    public String getOutboundMCXAirlines() {
        return outboundMCXAirlines;
    }

    public double getInputPrice() {
        return inputPrice;
    }

    public int getNights() {
        return nights;
    }

    public ZonedDateTime getOutDepartureDate() {
        return outDepartureDate;
    }
}
